stages:
  - test

variables:
  ALLURE_LAUNCH_NAME: "${CI_PROJECT_NAME} - ${CI_COMMIT_SHORT_SHA}"
  ALLURE_LAUNCH_TAGS: "regular, ${CI_COMMIT_REF_NAME}, java, junit5, gradle"
  ALLURE_TESTPLAN_PATH: "./testplan.json"
  ALLURE_RESULTS: "build/allure-results"
  STAGE: "pop"

test:
  image: gradle:6-jdk11-alpine
  stage: test
  before_script:
    - wget https://github.com/allure-framework/allurectl/releases/latest/download/allurectl_linux_amd64 -O ./allurectl
    - chmod +x ./allurectl
    - printenv
  script:
    - ./allurectl job-run plan --output-file ${ALLURE_TESTPLAN_PATH}
    - ./allurectl watch -- gradle clean test
  after_script:
    - echo "Archiving Allure results"
    - echo "Allure results will be archived"
  artifacts:
    paths:
      - ${ALLURE_RESULTS}
    when: always
